Package com.xebialabs.xlrelease.risk.domain.events

# Class RiskScoreUpdated

java.lang.Object
com.xebialabs.xlrelease.risk.domain.events.RiskScoreUpdated

All Implemented Interfaces:
  `XLReleaseEvent`, `RiskEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class RiskScoreUpdated extends Object implements RiskEvent, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RiskScoreUpdated(String releaseId, scala.Option<Risk> original, Risk updated)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RiskScoreUpdated`
  `apply(String releaseId, scala.Option<Risk> original, Risk updated)`
  `boolean`
  `canEqual(Object x$1)`
  `RiskScoreUpdated`
  `copy(String releaseId, scala.Option<Risk> original, Risk updated)`
  `String`
  `copy$default$1()`
  `scala.Option<Risk>`
  `copy$default$2()`
  `Risk`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `scala.Option<Risk>`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `releaseId()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<String,scala.Option<Risk>,Risk>>`
  `unapply(RiskScoreUpdated x$0)`
  `Risk`
  `updated()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### RiskScoreUpdated

    public RiskScoreUpdated(String releaseId, scala.Option<Risk> original, Risk updated)

- ## Method Details

  - ### apply

    public static RiskScoreUpdated apply(String releaseId, scala.Option<Risk> original, Risk updated)

  - ### unapply

    public static scala.Option<scala.Tuple3<String,scala.Option<Risk>,Risk>> unapply(RiskScoreUpdated x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### releaseId

    public String releaseId()

  - ### original

    public scala.Option<Risk> original()

  - ### updated

    public Risk updated()

  - ### copy

    public RiskScoreUpdated copy(String releaseId, scala.Option<Risk> original, Risk updated)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public scala.Option<Risk> copy$default$2()

  - ### copy$default$3

    public Risk copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`